<div class="md-2">
    <?php if(!empty($label)): ?>
        <label class="form-label <?php echo e($required ? 'required' : ''); ?>"><?php echo e($label ?? ''); ?></label>
    <?php endif; ?>
    <?php switch($type):
        case ('text'): ?>
            <textarea class="form-control <?php echo e($class ?? ''); ?>" id="<?php echo e($name); ?>" name="<?php echo e($name); ?>" data-lang="<?php echo e($lang); ?>" rows="<?php echo e($rows ?? 4); ?>" placeholder="<?php echo e($placeholder ?? ''); ?>" <?php if(!empty($maxlength)): ?> maxlength="<?php echo e($maxlength); ?>" <?php endif; ?> <?php if(!empty($minlength)): ?> minlength="<?php echo e($minlength); ?>" <?php endif; ?> <?php if(!empty($readonly)): ?> readonly <?php endif; ?>><?php echo mwz_getTextString($value ?? ''); ?></textarea>
        <?php break; ?>

        <?php case ('texteditor'): ?>
            <textarea class="form-control <?php echo e($class ?? ''); ?> texteditor" id="<?php echo e($name); ?>" name="<?php echo e($name); ?>" data-lang="<?php echo e($lang); ?>" placeholder="<?php echo e($placeholder ?? ''); ?>" <?php if(!empty($readonly)): ?> readonly <?php endif; ?> <?php if(!empty($maxlength)): ?> maxlength="<?php echo e($maxlength); ?>" <?php endif; ?> <?php if(!empty($minlength)): ?> minlength="<?php echo e($minlength); ?>" <?php endif; ?>><?php echo mwz_getTextString($value ?? ''); ?></textarea>
        <?php break; ?>

        <?php case ('mail'): ?>
            <div class="input-group">
                <span class="input-group-text"><i class="fe-mail"></i></span>
                <input class="form-control <?php echo e($class ?? ''); ?>" id="<?php echo e($name); ?>" name="<?php echo e($name); ?>" type="email" value="<?php echo e($value ?? ''); ?>" placeholder="<?php echo e($placeholder ?? ''); ?>" <?php if(!empty($readonly)): ?> readonly <?php endif; ?>>
            </div>
        <?php break; ?>

        <?php case ('tel'): ?>
            <div class="input-group">
                <span class="input-group-text"><i class="fe-phone-call"></i></span>
                <input class="form-control <?php echo e($class ?? ''); ?>" id="<?php echo e($name); ?>" name="<?php echo e($name); ?>" type="tel" value="<?php echo e($value ?? ''); ?>" placeholder="<?php echo e($placeholder ?? ''); ?>" onkeypress="InputValidateString();" <?php if(!empty($readonly)): ?> readonly <?php endif; ?> <?php if(!empty($maxlength)): ?> maxlength="<?php echo e($maxlength); ?>" <?php endif; ?> <?php if(!empty($minlength)): ?> minlength="<?php echo e($minlength); ?>" <?php endif; ?>>
            </div>
        <?php break; ?>

        <?php case ('number'): ?>
            <input class="form-control <?php echo e($class ?? ''); ?>" id="<?php echo e($name); ?>" name="<?php echo e($name); ?>" type="text" value="<?php echo e($value ?? ''); ?>" placeholder="<?php echo e($placeholder ?? ''); ?>" onkeypress="InputValidateString();" <?php if(!empty($readonly)): ?> readonly <?php endif; ?> <?php if(!empty($maxlength)): ?> maxlength="<?php echo e($maxlength); ?>" <?php endif; ?> <?php if(!empty($minlength)): ?> minlength="<?php echo e($minlength); ?>" <?php endif; ?>>
        <?php break; ?>

        <?php case ('color'): ?>
            <input class="form-control <?php echo e($class ?? ''); ?>" id="<?php echo e($name); ?>" name="<?php echo e($name); ?>" type="color" value="<?php echo e($value ?? ''); ?>" placeholder="<?php echo e($placeholder ?? ''); ?>" <?php if(!empty($readonly)): ?> readonly <?php endif; ?>>
        <?php break; ?>

        <?php default: ?>
            <input class="form-control <?php echo e($class ?? ''); ?>" id="<?php echo e($name); ?>" name="<?php echo e($name); ?>" data-lang="<?php echo e($lang); ?>" type="text" value="<?php echo e(mwz_getTextString($value ?? '')); ?>" placeholder="<?php echo e($placeholder ?? ''); ?>" <?php if(!empty($readonly)): ?> readonly <?php endif; ?> <?php if(!empty($maxlength)): ?> maxlength="<?php echo e($maxlength); ?>" <?php endif; ?> <?php if(!empty($minlength)): ?> minlength="<?php echo e($minlength); ?>" <?php endif; ?>>
        <?php break; ?>
    <?php endswitch; ?>
</div>
<?php /**PATH /newdata/stgdev/public_html/trisak.mwz/resources/views/components/form/input.blade.php ENDPATH**/ ?>